### Change log

2025-12-25 Bumped to version v1.0.233
- Updated service live/tls

2025-12-23 Bumped to version v1.0.232
- Updated service vikingdb

2025-12-22 Bumped to version v1.0.231
- Updated service tls

2025-12-11 Bumped to version v1.0.230
- Updated service tls/vms/vod

2025-11-27 Bumped to version v1.0.229
- Updated service businessSecurity

2025-11-20 Bumped to version v1.0.228
- Updated service vod

2025-11-13 Bumped to version v1.0.227
- Updated service sms

2025-11-06 Bumped to version v1.0.226
- Updated service businessSecurity/vms/vod

2025-10-30 Bumped to version v1.0.225
- Updated service tls

2025-10-23 Bumped to version v1.0.224
- Updated service vms/vod

2025-10-16 Bumped to version v1.0.223
- Updated service imagex/live/vod

2025-10-13 Bumped to version v1.0.222
- Updated service businessSecurity/sms/vikingdb

2025-09-25 Bumped to version v1.0.221
- Updated service vikingdb/vms/vod

2025-09-18 Bumped to version v1.0.220
- Updated service live/vms/vod

2025-08-28 Bumped to version v1.0.219
- Updated service tls/vod

2025-08-21 Bumped to version v1.0.218
- Updated service imagex

2025-08-07 Bumped to version v1.0.217
- Updated service imagex/tls/vikingdb

2025-07-17 Bumped to version v1.0.216
- Updated service tls

2025-07-10 Bumped to version v1.0.215
- Updated service businessSecurity/cdn/imagex/vikingdb/vms

2025-07-03 Bumped to version v1.0.214
- Updated service businessSecurity/imagex/vms

2025-06-26 Bumped to version v1.0.213
- Updated service live/sms

2025-06-19 Bumped to version v1.0.212
- Updated service imagex/ipaas/vod

2025-06-05 Bumped to version v1.0.211
- Updated service sms/vod

2025-05-29 Bumped to version v1.0.210
- Updated service businessSecurity/imagex/tls/vikingdb/vod

2025-05-22 Bumped to version v1.0.209
- Updated service imagex

2025-05-15 Bumped to version v1.0.208
- Updated service businessSecurity/im/vod

2025-05-08 Bumped to version v1.0.207
- Updated service imagex/sms/tls

2025-04-25 Bumped to version v1.0.206
- Updated service live

2025-04-24 Bumped to version v1.0.205
- Updated service businessSecurity/imagex/vms/vod

2025-04-17 Bumped to version v1.0.204
- Updated service vikingdb/vms/vod

2025-04-10 Bumped to version v1.0.203
- Updated service imagex/tls/vod

2025-03-31 Bumped to version v1.0.202
- Updated service imagex

2025-03-27 Bumped to version v1.0.201
- Updated service imagex

2025-03-26 Bumped to version v1.0.200
- Updated service vod

2025-03-20 Bumped to version v1.0.199
- Updated service vod

2025-03-06 Bumped to version v1.0.198
- Fix some bugs

2025-02-27 Bumped to version v1.0.197
- Updated service aiot/businessSecurity/imagex/tls/vikingdb/vod

2025-02-20 Bumped to version v1.0.196
- Updated service aiot

2025-02-13 Bumped to version v1.0.195
- Updated service imp/live/vikingdb/tls

2025-01-23 Bumped to version v1.0.194
- Updated service tls/vikingdb

2025-01-16 Bumped to version v1.0.193
- Updated service tls/vikingdb

2025-01-09 Bumped to version v1.0.192
- Updated service rtc/vikingdb/visual

2025-01-02 Bumped to version v1.0.191
- Updated service cdn

2024-12-26 Bumped to version v1.0.190
- Updated service vod/tls

2024-12-16 Bumped to version v1.0.189
- Updated service live/tls/businessSecurity

2024-12-05 Bumped to version v1.0.188
- Updated service rtc/tls

2024-11-28 Bumped to version v1.0.187
- Updated service vikingdb/visual/tls

2024-11-21 Bumped to version v1.0.186
- Updated service vikingdb/imagex/mcdn/tls

2024-11-14 Bumped to version v1.0.185
- Updated service tls/dts/imagex/vod

2024-11-07 Bumped to version v1.0.184
- Updated service imagex/tls/vikingdb

2024-10-31 Bumped to version v1.0.183
- Updated service vikingdb

2024-10-24 Bumped to version v1.0.182
- Updated service cdn/tls/vod

2024-10-17 Bumped to version v1.0.181
- Updated service vod/vikingdb

2024-10-10 Bumped to version v1.0.180
- Updated service acep/vod/imp/tls

2024-10-08 Bumped to version v1.0.179
- Updated service rtc

2024-09-26 Bumped to version v1.0.178
- Updated service businessSecurity/imp/live
- Added service acep

2024-09-19 Bumped to version v1.0.177
- Updated service vikingdb/vod

2024-09-12 Bumped to version v1.0.176
- Updated service visual/vikingdb/imagex/tls/vod

2024-09-05 Bumped to version v1.0.175
- Updated service vod/imagex

2024-09-02 Bumped to version v1.0.174
- Updated service live

2024-08-29 Bumped to version v1.0.173
- Updated service businessSecurity/imagex/live

2024-08-15 Bumped to version v1.0.172
- Updated service vod/dts/visual

2024-08-08 Bumped to version v1.0.171
- Updated service vod/businessSecurity/tls/cdn/imagex

2024-07-29 Bumped to version v1.0.170
- Updated service live

2024-07-25 Bumped to version v1.0.169
- Updated service visual

2024-07-18 Bumped to version v1.0.168
- Updated service cdn/vod

2024-07-11 Bumped to version v1.0.167
- Updated service visual

2024-07-09 Bumped to version v1.0.166
- Updated service businessSecurity

2024-07-04 Bumped to version v1.0.165
- Updated service visual/vod

2024-06-27 Bumped to version v1.0.164
- Updated service live/rtc

2024-06-24 Bumped to version v1.0.163
- Updated service sms/visual/imagex/live/businessSecurity

2024-06-13 Bumped to version v1.0.162
- Updated service imp/imagex/mcdn

2024-06-06 Bumped to version v1.0.161
- Updated service im

2024-05-30 Bumped to version v1.0.160
- Updated service rtc/aiot/ipaas

2024-05-23 Bumped to version v1.0.159
- Updated service vod/im/maas/businessSecurity/tls/dts

2024-05-16 Bumped to version v1.0.158
- Updated service maas/businessSecurity/tls

2024-05-09 Bumped to version v1.0.157
- Updated service vod/maas/visual/businessSecurity/vikingdb

2024-04-29 Bumped to version v1.0.156
- Updated service businessSecurity

2024-04-25 Bumped to version v1.0.155
- Updated service maas

2024-04-18 Bumped to version v1.0.154
- Updated service visual/vod/maas/vikingdb

2024-04-11 Bumped to version v1.0.153
- Updated service live/vod/aiot/imagex/maas/vikingdb

2024-04-01 Bumped to version v1.0.152
- Updated service businessSecurity/sms

2024-03-25 Bumped to version v1.0.151
- Updated service vod

2024-03-21 Bumped to version v1.0.150
- Updated service dts/imagex/live/tls/vikingdb

2024-03-14 Bumped to version v1.0.149
- Updated service imagex/dts/veen/businessSecurity

2024-03-13 Bumped to version v1.0.148
- Updated service maas

2024-03-08 Bumped to version v1.0.147
- Updated service maas/tls

2024-03-07 Bumped to version v1.0.146
- Updated service maas/veen/vikingdb/im/visual

2024-03-06 Bumped to version v1.0.145
- Updated service vod

2024-02-29 Bumped to version v1.0.144
- Updated service tls/vikingdb

2024-02-22 Bumped to version v1.0.143
- Updated service  live/maas/im

2024-02-05 Bumped to version v1.0.142
- Updated service veen 

2024-02-01 Bumped to version v1.0.141
- Updated service billing/live/imagex/vod

2024-01-29 Bumped to version v1.0.140
- Updated service imagex/aiot/maas

2024-01-25 Bumped to version v1.0.139
- Updated service adblocker

2024-01-18 Bumped to version v1.0.138
- Updated service tls/vikingdb

2024-01-11 Bumped to version v1.0.137
- Updated service vod/vikingdb/maas

2024-01-05 Bumped to version v1.0.136
- Updated service vod

2024-01-04 Bumped to version v1.0.135
- Updated service maas/tls

2023-12-28 Bumped to version v1.0.134
- Updated service vikingdb/sms/mcdn

2023-12-21 Bumped to version v1.0.133
- Added service vikingdb

2023-12-15 Bumped to version v1.0.132
- Updated apis for businessSecurity

2023-12-14 Bumped to version v1.0.131
- Updated apis for live/maas/imagex/sms/vod

2023-12-07 Bumped to version v1.0.130
- Updated apis for aiot

2023-11-30 Bumped to version v1.0.129
- Updated apis for live/ipaas/tls

2023-11-23 Bumped to version v1.0.128
- Updated apis for live/video_aiot/maas/businessSecurity 
- Added service im

2023-11-17 Bumped to version v1.0.127
- Updated apis for tls

2023-11-16 Bumped to version v1.0.126
- Updated apis for sms/aiot/visual/verender/vod

2023-11-09 Bumped to version v1.0.125
- Updated apis for tls/billing

2023-11-02 Bumped to version v1.0.124
- Updated apis for rtc/billing

2023-10-26 Bumped to version v1.0.123
- Updated apis for visual/businessSecurity/maas/aiot

2023-10-19 Bumped to version v1.0.122
- Updated apis for imagex/maas/vod/live/sms

2023-10-12 Bumped to version v1.0.121
- Updated service live/vod/businessSecurity/maas/privatezone

2023-09-27 Bumped to version v1.0.120
- Updated service businessSecurity/ipaas/cdn

2023-09-21 Bumped to version v1.0.119
- Added service ipaas

2023-09-15 Bumped to version v1.0.118
- Updated apis for veen/imagex

2023-09-07 Bumped to version v1.0.117
- Updated apis for businessSecurity/billing

2023-08-31 Bumped to version v1.0.116
- Updated apis for imagex/maas/verender/visual/vod

2023-08-17 Bumped to version v1.0.115
- Updated apis for live

2023-08-17 Bumped to version v1.0.114
- Updated apis for dts/billing/maas

2023-08-10 Bumped to version v1.0.113
- Updated apis for vod/maas/verender/aiot/businessSecurity

2023-08-03 Bumped to version v1.0.112
- Updated apis for vod/billing

2023-07-27 Bumped to version v1.0.111
- Updated apis for vod/aiot/businessSecurity/imagex/cdn

2023-07-21 Bumped to version v1.0.110
- Updated apis for vod/aiot/visual/imagex

2023-07-13 Bumped to version v1.0.109
- Updated apis for tls/vms/security/maas/cdn

2023-07-06 Bumped to version v1.0.108
- Updated apis for maas

2023-07-04 Bumped to version v1.0.107
- Updated apis for vod

2023-06-29 Bumped to version v1.0.106
- Updated apis for aiot/vedbm/cdn/vod
- Added service maas

2023-06-20 Bumped to version v1.0.105
- Updated apis for security

2023-06-16 Bumped to version v1.0.104
- Updated apis for imagex/vod/security

2023-06-09 Bumped to version v1.0.103
- Updated apis for imagex/vod/visual

2023-06-01 Bumped to version v1.0.102
- Updated apis for imagex/aiot/tls
- Added service veen

2023-05-25 Bumped to version v1.0.101
- Updated apis for vms

2023-05-17 Bumped to version v1.0.100
- Updated apis for sms/vod/imagex/security
- Urgent notice and update: Due to privacy data security requirements, the Volc SMS SDK will no longer support SG overseas access points. If you used volc-sdk to implement SG overseas endpoints before, please modify your code to avoid future build failures. If you require overseas access to SMS, please use BytePlus services.

2023-05-11 Bumped to version v1.0.99
- Updated apis for vod/dns/sms

2023-05-05 Bumped to version v1.0.98
- Retract v1.0.97 and Updated base client
- Updated apis for vod

2023-04-28 Bumped to version v1.0.97
- Updated apis for imagex/vod

2023-04-20 Bumped to version v1.0.96
- Updated apis for imagex/tls/billing

2023-04-13 Bumped to version v1.0.95
- Updated apis for cdn

2023-04-06 Bumped to version v1.0.94
- Updated apis for imagex/vod/DNS

2023-03-30 Bumped to version v1.0.93
- Updated apis for imagex/vod/billing

2023-03-24 Bumped to version v1.0.92
- Updated apis for security

2023-03-23 Bumped to version v1.0.91
- Updated apis for security/private_zone/sms

2023-03-20 Bumped to version v1.0.90
- Updated apis for vod

2023-03-16 Bumped to version v1.0.89
- Updated apis for imagex/live/billing/vod

2023-03-15 Bumped to version v1.0.88
- Updated apis for visual

2023-03-09 Bumped to version v1.0.87
- Updated apis for vod

2023-03-02 Bumped to version v1.0.86
- Updated apis for security/billing/imagex/visual
- Added service mcdn

2023-02-27 Bumped to version v1.0.85
- Updated apis for imagex

2023-02-24 Bumped to version v1.0.84
- Updated apis for vod/tls

2023-02-16 Bumped to version v1.0.83
- Updated apis for live/cdn

2023-02-13 Bumped to version v1.0.82
- Updated apis for vod

2023-02-09 Bumped to version v1.0.81
- Updated apis for imagex/tls/security

2023-02-02 Bumped to version v1.0.80
- Updated apis for vms/live/security/imagex/private_zone/sms/visual

2023-01-19 Bumped to version v1.0.79
- Updated apis for live/aiot/secretnumber

2023-01-13 Bumped to version v1.0.78
- Updated apis for vod/vms/imagex/secretnumber

2023-01-05 Bumped to version v1.0.77
- Updated apis for vod/vms/security

2022-12-29 Bumped to version v1.0.76
- Updated apis for vod/tls

2022-12-15 Bumped to version v1.0.75
- Updated apis for tls/iam/cdn

2022-12-14 Bumped to version v1.0.74
- Updated apis for vod

2022-12-08 Bumped to version v1.0.73
- Updated apis for axb/aiot
- Updated demos for sms
- Updated config for imp

2022-12-05 Bumped to version v1.0.72
- Updated apis for imagex/security

2022-11-24 Bumped to version v1.0.71
- Updated apis for secretnumber/cdn/sms/aiot
- Updated version info for base

2022-11-18 Bumped to version v1.0.70
- Added trail service
- Updated apis for tls/aiot/live

2022-11-10 Bumped to version v1.0.69
- Added live service
- Updated apis for imagex/security/secret

2022-11-07 Bumped to version v1.0.68
- Added apis for security/visual

2022-11-04 Bumped to version v1.0.67
- Added video_aiot/sami service
- Updated apis for secretnumber/imagex/vod

2022-10-27 Bumped to version v1.0.66
- Updated models for notify/axb
- Updated demos for sms
- Fixed retry bug for base

2022-10-13 Bumped to version v1.0.65
- Updated apis for vod
- Updated demos for sms
- Fixed retry bug for base

2022-09-27 Bumped to version v1.0.64
- Updated apis for rtc

2022-09-22 Bumped to version v1.0.63
- Updated models for vms
- Updated apis for vod\imagex

2022-09-15 Bumped to version v1.0.62
- Updated apis for secret\vod

2022-09-09 Bumped to version v1.0.61
- Added apis for secret

2022-09-06 Bumped to version v1.0.60
- Updated apis for security

2022-09-01 Bumped to version v1.0.59
- Fixed base models
- Added demo for visual
- Updated apis for stream\translate

2022-08-25 Bumped to version v1.0.58
- Updated apis for live

2022-08-22 Bumped to version v1.0.57
- Fixed models for live

2022-08-18 Bumped to version v1.0.56
- Added apis for live
- Comment Error description Change to English

2022-08-11 Bumped to version v1.0.55
- Updated apis for vod\live
- Added service verender
- Updated demo for sms

2022-08-08 Bumped to version v1.0.54
- Updated models for vod

2022-08-04 Bumped to version v1.0.53
- Updated demo for sts\security\rtc
- Added apis for live

2022-07-28 Bumped to version v1.0.52
- Added apis for tls\axb\vod

2022-07-07 Bumped to version v1.0.51
- Added apis for vod\rtc\live
- Fixed bugs for security

2022-06-30 Bumped to version v1.0.50
- Updated models for diff

2022-06-23 Bumped to version v1.0.49
- Added apis for sms\vod
- Updated models for dts

2022-06-17 Bumped to version v1.0.48
- Update apis for vod\tls\rtc

2022-06-09 Bumped to version v1.0.47
- Added proxy support
- Added service tls
- Added or fixed apis for vod\cdn\vms\imagex\nlp\security

2022-06-06 Bumped to version v1.0.46
- Fixed apis for security

2022-05-20 Bumped to version v1.0.45
- Added apis for vod\secret
- Fixed apis for live

2022-05-12 Bumped to version v1.0.44
- Fixed apis for billing
- Added apis for vod\security

2022-04-28 Bumped to version v1.0.43
- Fixed apis for cdn\imagex

2022-04-21 Bumped to version v1.0.42
- Added service mars
- Added apis for vod
- Fixed apis for cdn\kms

2022-04-14 Bumped to version v1.0.41
- Support context for base client
- Fixed params for nlp
- Added apis for vod\imagex\security\billing
- Added service volc_voice_notify

2022-04-07 Bumped to version v1.0.40
- Added api for cdn

2022-03-31 Bumped to version v1.0.39
- Updated api and params for axb\vod
- Added demo for dts
- Added service billing

2022-03-21 Bumped to version v1.0.38
- Updated api and params

2022-03-18 Bumped to version v1.0.37
- Added some apis of space\callback\cdn for vod
- Added media snapshot
- Added filename when upload

2022-03-14 Bumped to version v1.0.36
- Minor Bug fix

2022-03-11 Bumped to version v1.0.35
- Minor Bug fix

2022-03-10 Bumped to version v1.0.34
- added 智能处理 sdk

2022-03-03 Bumped to version v1.0.33
- add nlp client
- Implement related example for cdn apis
- Add new cdn apis
- Add Video-Classification for VOD

2022-02-24 Bumped to version v1.0.32
- Added cr client

2022-02-18 Bumped to version v1.0.31
- Updated a for axn
- Added mobile_status api
- Fixed sts
- Removed api for relation role user

2022-02-10 Bumped to version v1.0.30
- 号码核验二期产品
- Added vms secret number
- ValidateResponse method for CDN service
- Add tool functions for CDN service

2022-01-20 Bumped to version v1.0.29
- Add vms secret number
- Added 闲时转码

2022-01-13 Bumped to version v1.0.28
- Add imagex GetImageQuality API

2021-12-30 Bumped to version v1.0.27
- Refactored the signing method

2021-12-16 Bumped to version v1.0.26
- Add rds postgresql sdk
- Added datacenter-QueryAudioRecordFileUrl
- 添加datacenter的service
- Fixed kms request field typo.
- Added DescribeCdnDataDetail api
- 设置Credentials新增支持更新Service
- 添加双呼方法

2021-11-15 Bumped to version v1.0.25
- Added CDN timeout for apis

2021-10-27 Bumped to version v1.0.24
- Added DNS SDK
- Clean and updated gtm sdk
- Added kms API
- Added live sdk dev
- Added DescribeCdnUpperIp CDN OpenAPI
- Added business security api

2021-10-19 Bumped to version v1.0.23
- Fixed http client timeout

2021-09-29 Bumped to version v1.0.22
- Added CDN apis
- Added vms apis


2021-09-14 Bumped to version v1.0.21
- Add rtc sdk
- Add GTM sdk
- CDN sdk basic fix

2021-09-13 Bumped to version v1.0.20
- Fix sts miss param DurationSeconds

2021-08-05 Bumped to version v1.0.19
- Added ocr
- Added sms sdk
- Added sg region


2021-07-08 Bumped to version v1.0.18
- Fix cr32

2021-07-08 Bumped to version v1.0.17
- Fix error http code process
- Get meta function name error

2021-07-01 Bumped to version v1.0.16
- Added verify code feature
- Fixed subtitle token

2021-06-09 Bumped to version v1.0.15
- Added Post with content type

2021-06-02 Bumped to version v1.0.14
- Update get media list
- Imagex: support preload & refresh dir

2021-05-20 Bumped to version v1.0.13
- Support material upload
- Add retry after http error
- Add imagex image fetch API
- Add a new product 'game_protect' api to get risk result on gaming scenes.

2021-05-08 Bumped to version v1.0.12
- Added vod private drm and hls drm sdk.

2021-04-20 Bumped to version v1.0.11
- Added pcdn and barrageMask.

2021-04-08 Bumped to version v1.0.10
- Fixed magex sts2: default storekey empty.

2021-04-01 Bumped to version v1.0.9
- Add SMS sdk.
- Update imagex sdk.

2021-03-24 Bumped to version v1.0.8
- STS support.
- Added Standard iam sdk.
- STS asummeRole support.
- Added adblocker.

2021-03-02 Bumped to version v1.0.7
- Update adblock sdk.
- Update Imagex: add service & domain relate api

2021-02-04 Bumped to version v1.0.6
- Add cloud-edit sdk.
- Add new visual api: HumanSegment, GeneralSegment, EnhancePhoto, ConvertPhoto, VideoSceneDetect, OverResolution, GoodsSegment, ImageOutpaint, ImageInpaint, ImageCut, EntityDetect, GoodsDetect, VideoSummarization, VideoOverResolution, VideoRetargeting, VideoInpaint.

2021-01-27 Bumped to version v1.0.5
- added sts2_ak.
- fixed thumbs bug.
- added common imagex api.

2021-01-20 Bumped to version v1.0.4
- Add adblock sdk.
- Add visual photo sdk.

2020-12-22 Bumped to version v1.0.3
- Add vod sdk.
- Add ImageX sdk.

2020-11-09 Bumped to version v1.0.2
- Add iam sdk.
- Add visual sdk.

2020-11-04 Bumped to version v1.0.1
- Add version file.
- Add example of iam.

2020-11-02 Bumped to version v1.0.0
- Add the default signature package.
- Add ListUsers api.
- Update README.md.
